Table of Contents

Class: MaildirMailbox | Twisted-0.19.0/twisted/mail/maildir.py
--- | ---
Implement the POP3 mailbox semantics for a Maildir mailbox
Base Classes |
--- | ---
pop3.Mailbox
Methods |
--- | ---
__init__ deleteMessage getMessage getUidl listMessages
| __init__
    __init__ ( self,  path )
Initialize with name of the Maildir mailbox
| deleteMessage
    deleteMessage ( self,  i )
### Delete a message This only moves a message to the .Trash/ subfolder, so it can be undeleted by an administrator.
| getMessage
    getMessage ( self,  i )
Return an open file-pointer to a message
| getUidl
    getUidl ( self,  i )
### Return a unique identifier for a message This is done using the basename of the filename. It is globally unique because this is how Maildirs are designed.
| listMessages
    listMessages ( self )
Return a list of lengths of all files in new/ and cur/

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:48 2002 by HappyDoc version 2.0